%define wrappers_ver	1.0.3
%define _appsdir	%{_libdir}/apps

Name:		rox
Version:	1.3.7
Release:	1mdk
Summary:	A fast and powerful graphical file manager
Group:		Graphical desktop/Other
License:	GPL
URL:		http://rox.sourceforge.net
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/%{name}/Wrappers-%{wrappers_ver}.tar.bz2
Source2:	rox-48.png
Source3:	rox-32.png
Source4:	rox-16.png
Source5:	rox-menu-method.bz2
Provides:	rox-base
Obsoletes:	rox-base
Requires:	shared-mime-info >= 0.8
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+2.0-devel >= 2.0.1
BuildRequires:  libxml2-devel

%description
ROX-Filer is a fast, powerful, and easy to use graphical file
manager. It has full support for drag-and-drop and application
directories.  The filer can also provide a pinboard (allowing you to pin
up files on your desktop background) and panels.  The emphasis is on
uncluttered directory views; menus and prompts only appear when needed.

The Wrappers package found on the Rox home page is already included.

%prep
%setup -q -a 1

%build
export CFLAGS="$RPM_OPT_FLAGS"
./ROX-Filer/AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_appsdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -a ROX-Filer $RPM_BUILD_ROOT%{_appsdir}/
rm -rf $RPM_BUILD_ROOT%{_appsdir}/src
rm -rf $RPM_BUILD_ROOT%{_appsdir}/*/src
cp -a rox.1 $RPM_BUILD_ROOT%{_mandir}/man1
( cd $RPM_BUILD_ROOT%{_mandir}/man1 ; ln -s rox.1 ROX-Filer.1 )
cat << EOF > $RPM_BUILD_ROOT%{_bindir}/rox
#!/bin/sh
exec %{_appsdir}/ROX-Filer/AppRun "\$@"
EOF
chmod a+x $RPM_BUILD_ROOT%{_bindir}/rox
cp rox.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -r Choices $RPM_BUILD_ROOT%{_datadir}

# Wrappers
cp -a Wrappers/* $RPM_BUILD_ROOT%{_appsdir}/
cp -a Wrappers/README README.wrappers

# desktop entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications
cat > $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=ROX Filer
Comment=ROX Filer
Exec=rox
Icon=rox.png
Terminal=false
MultipleArgs=false
Type=Application
EOF

# Mandrake menu
mkdir -p $RPM_BUILD_ROOT{%{_menudir},%{_liconsdir},%{_iconsdir},%{_miconsdir}}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
section="Applications/File tools"\
title="ROX"\
longtitle="File Manager of the ROX desktop environment"\
command="rox"\
icon="%name.png"
EOF
cp %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/%name.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/%name.png
cp %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/%name.png

mkdir -p %buildroot%_sysconfdir/menu-methods
bzcat %SOURCE5 > %buildroot%_sysconfdir/menu-methods/%name

# remove temp file
rm -f $RPM_BUILD_ROOT%{_appsdir}/Netscape/.AppRun.swp

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%{_bindir}/update-mime-database %{_datadir}/mime

%postun
%{clean_menus}

%files
%defattr (-,root,root)
%doc README*
%attr(755,root,root) %config(noreplace) %_sysconfdir/menu-methods/%name
%{_appsdir}/*
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/gnome/apps/Applications/%{name}.desktop
%{_datadir}/Choices
%{_datadir}/mime/packages/rox.xml
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Fri Feb 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.7-1mdk
- new version

* Sat Feb 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.6-4mdk
- really fix the rox menu

* Fri Feb 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.6-3mdk
- bugfix for the menu method (thanks Maxim Heijndijk)

* Tue Jan 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.6-2mdk
- add SendTo context menu generation to the menu method

* Fri Jan 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.6-1mdk
- new version

* Thu Jan  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.5-4mdk
- bugfix for the menu-method

* Thu Jan  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.5-3mdk
- add a menu-method (please test)

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.5-2mdk
- rebuild

* Thu Dec  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.5-1mdk
- new version

* Mon Oct  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.4-1mdk
- 1.3.4
- don't delete cvs files, it's spec-helper's job

* Thu Jul 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.3-1mdk
- adapt for new shared-mime-info
- new version

* Thu Jun 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.2-2mdk
- fix gnome menu entry

* Sat Jun 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.2-1mdk
- require at least gtk+2.0.1
- rox 1.3.2
- Wrappers 1.0.3

* Tue Jun 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-4mdk
- install included Choices
- obsoletes rox-base

* Sun Jun 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-3mdk
- remove separate ROX-Filer icon (unneeded)

* Mon Jun  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-2mdk
- requires shared-mime-info

* Fri May 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- 1.3.1

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.0-1mdk
- cleanup
- mdk adaption

* Mon May 20 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.0-1
- new version
- added macro %{_appsdir}

* Wed Apr 10 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.2.0-2
- the wrapper applications were missing in the %%files section

* Mon Feb 18 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.2.0-1
- new version

* Fri Feb 15 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.14-1
- new version

* Sat Feb 09 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.13-1
- new version

* Thu Jan 24 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.12-1
- new version

* Wed Jan 09 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.11-1
- new version

* Sat Dec 29 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.10-1
- new version

* Sat Dec 22 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.9-1
- new version
- PDF documentation not generated yet

* Tue Sep 04 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.7-1
- new version
- added Wrappers

* Mon Jun 11 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.5-1
- new version
- conditionaly generates manual in PDF format

* Mon May 07 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.3-1
- new version
- do not compile support for vfs
- generate PDF documentation from its LyX sources and dia diagrams

* Sun Apr 01 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.2-1
- new version
- added applnk file

* Mon Mar 26 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.2-0.1
- CVS version of 2001-03-26
- spec file clean up

* Sat Feb 17 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br>
- Updated for 1.1.1 release.
- Added support for opening virtual file systems based on avfs.

* Wed Dec 27 2000 Thomas Leonard <tal197@users.sourceforge.net>
- Updated for 1.0.0 release.

* Thu Nov 2 2000 Andy Piper <andy.piper@freeuk.com> 
- Updated for 0.1.29 release.

* Tue Sep 19 2000 Andy Piper <andy.piper@freeuk.com> 
- Added man page.

* Mon Sep 18 2000 Andy Piper <andy.piper@freeuk.com> 
- Modified spec file to follow standards from the HOWTO.

* Sun Sep 17 2000 Thomas Leonard <tal197@users.sourceforge.net> 
- First spec file for rox.
